API REFERENCEv1

Create MMS Template

POSThttps://api2.protexting.com/v1/mms-template/create

Pass your server-side token as access_token. Replace sample values with your own. Authentication & setup →

Request parameters:

* required parameters

ParameterDescription
* ResourceLink String, Url to media
Name String

Response parameters:

ParameterDescription
IdInteger, MMS Template Id
NameString, MMS Template Name
UrlString
DateCreatedString
Status_IdInteger, see here »
Status_DescriptionString, see here »

Example Request:

Request example
# Set PROTEXTING_ACCESS_TOKEN in your environmentcurl --request POST \  "https://api2.protexting.com/v1/mms-template/create?access_token=${PROTEXTING_ACCESS_TOKEN:?Set your API token}" \  --header 'Accept: application/json' \  --header 'Content-Type: application/json' \  --data '{  "ResourceLink": "https://www.protexting.com/images/newdesign/features/Text-in-JOIN.png",  "Name": "My Image"}'
Server-side exampleJSON · HTTPS

Example Response Headers:

Response headers example
Status Code: 201 Created
Cache-Control: no-store, no-cache, must-revalidate, post-check=0, pre-check=0
Connection: Keep-Alive
Content-Length: 243
Content-Type: application/json; charset=UTF-8
Keep-Alive: timeout=5, max=100
Pragma: no-cache
X-Powered-By: PHP/5.6.2
X-Rate-Limit-Limit: 60
X-Rate-Limit-Remaining: 59
X-Rate-Limit-Reset

Example Response Body:

JSON response example
{     "Id": 10586,     "Name": "My Image",     "Url": "https://mms.protexting.com/uploads/media/46e446d800290d2922b1.jpg",    "DateCreated": "2015-01-20 10:21:29",     "Status_Id": 0,     "Status_Description": "Pending for processing" }
XML response example
<response>    <Id>10586</Id>    <Name>My Image</Name>    <Url>https://mms.protexting.com/uploads/media/46e446d800290d2922b1.jpg</Url>    <DateCreated>2015-01-20 10:21:29</DateCreated>    <Status_Id>0</Status_Id>    <Status_Description>Pending for processing</Status_Description></response>

HTTP Status Codes:

The standard HTTP Status Codes are used. More information is available here: http://www.iana.org/assignments/http-status-codes/http-status-codes.xhtml

Error Codes:

Error Codes and Examples here »

Statuses

Status_IdStatus_DescriptionFinal Status
0Pending for processingNo
1ProcessingNo
2Processed pending approvalNo
3ApprovedYes
4RejectedYes
5Processed FailedYes

Reference from the ProTexting documentation catalog. Code examples are illustrative; this page does not execute API requests.